
<flexextractor version = "1.0" description = "Config file to generate the LASER file for PVSS">	

	<input type = "XML_XPATH">
		<source name="laserItem" parameter="/laserItems/laserItem">
			<data name="alarmType" select="./alarmType"/>
			<data name="dpe" select="./dpe"/>
			<data name="alias" select="./alias"/>
			<data name="name" select="./name"/>
			<data name="range" select="./range"/>
			<data name="state" select="./state"/>
			<data name="faultFamily" select="./faultFamily"/>
			<data name="faultMode" select="./faultMode"/>
			<data name="faultCode" select="./faultCode"/>
			<data name="description" select="./description"/>
		</source>
	</input>	


	<output>
		<section head="[{laserItem.alarmType}]">
			<section condition="{laserItem.state}==''" head="&#9;dpe={laserItem.dpe}&#10;&#9;&#9;alias={laserItem.alias}&#10;&#9;&#9;name={laserItem.name}" generate="&#9;&#9;range={laserItem.range}; description=&quot;{laserItem.description}&quot;; ff={laserItem.faultFamily}; fm={laserItem.faultMode}; fc={laserItem.faultCode};"/>
			<section condition="{laserItem.state}!=''" head="&#9;dpe={laserItem.dpe}&#10;&#9;&#9;alias={laserItem.alias}&#10;&#9;&#9;name={laserItem.name}" generate="&#9;&#9;range={laserItem.range}; description=&quot;{laserItem.description}&quot;; ff={laserItem.faultFamily}; fm={laserItem.faultMode}; fc={laserItem.faultCode}; state={laserItem.state}"/>
		</section> 
	</output>

</flexextractor>